Loading...
Searching...
No Matches
Dune::DGFGridFactory< CpGrid > Struct Reference

## Public Types

typedef CpGrid | Grid
typedef MPIHelper::MPICommunicator | MPICommunicatorType
typedef Grid::Codim< 0 >::Entity | Element
typedef Grid::Codim< dimension >::Entity | Vertex

## Public Member Functions

| DGFGridFactory (std::istream &input, MPICommunicatorType comm=MPIHelper::getCommunicator())
| DGFGridFactory (const std::string &filename, MPICommunicatorType comm=MPIHelper::getCommunicator())
Grid * | grid () const
template<class Intersection>
bool | wasInserted (const Intersection) const
template<class Intersection>
int | boundaryId (const Intersection &intersection) const
template<int codim>
int | numParameters () const
template<class Entity>
std::vector< double > & | parameter (const Entity &)
bool | haveBoundaryParameters () const
template<class Intersection>
const DGFBoundaryParameter::type & | boundaryParameter (const Intersection &) const

## Static Public Attributes

static const int | dimension = Grid::dimension

The documentation for this struct was generated from the following file:

- opm/grid/cpgrid/dgfparser.hh